%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-GD
Version:       2.76
Release:       1mamba
Summary:       A perl library that generates images
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source:        https://cpan.metacpan.org/modules/by-module/GD/GD-%{version}.tar.gz
Patch0:        %{name}-2.41-Group.patch
URL:           https://www.cpan.org/
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgd-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
The GD library was written by Thomas Boutell a long while ago to programatically generate images in C.
Since then it's become the defacto standard for programatic image construction.

%prep
%setup -q -n GD-%{version}
#chmod +w Makefile.PL
#% patch0 -p1
sed -i "s|lib/pkgconfig|%{_lib}/pkgconfig|" Makefile.PL

%build
# sed -i 's/my @INC.*/my @INC = qw(-I\/usr\/include)\;/' Makefile.PL
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor -lib_gd_path="%{_libdir}"
%make
# FIXME: test broken maybe since perl 5.16
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Feb 01 2022 Automatic Build System <autodist@mambasoft.it> 2.76-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 2.75-1mamba
- automatic version update by autodist

* Mon Jan 24 2022 Automatic Build System <autodist@mambasoft.it> 2.74-1mamba
- automatic version update by autodist

* Sat Oct 23 2021 Automatic Build System <autodist@mambasoft.it> 2.73-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Automatic Build System <autodist@mambasoft.it> 2.56-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.53-2mamba
- rebuilt with perl 5.24

* Tue May 27 2014 Automatic Build System <autodist@mambasoft.it> 2.53-1mamba
- automatic update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 2.52-1mamba
- automatic update by autodist

* Sat Jul 06 2013 Automatic Build System <autodist@mambasoft.it> 2.50-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 2.49-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46-2mamba
- perl 5.16 mass rebuild

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 2.46-1mamba
- automatic update by autodist

* Sat Mar 26 2011 Automatic Build System <autodist@mambasoft.it> 2.45-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 2.44-1mamba
- automatic update by autodist

* Sat Jun 20 2009 Automatic Build System <autodist@mambasoft.it> 2.43-1mamba
- automatic update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.41-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.35-3mamba
- automatic rebuild by autodist

* Mon Nov 26 2007 Aleph0 <aleph0@openmamba.org> 2.35-2mamba
- rebuilt with installdir set to vendor

* Mon Mar 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.35-1qilnx
- update to version 2.35 by autospec
- added PNG support

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.19-1qilnx
- update to version 2.19 by autospec

* Wed Jan 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.07-3qilnx
- rebuilt with perl 5.8.2

* Wed Dec 31 2003 Davide Madrisan <davide.madrisan@qilinux.it> 2.07-2qilnx
- rebuilt with Perl 5.8.1
- specfile updates, added missing dependencies

* Tue Sep 09 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.07-1qilnx
- first build
